On 4/8/07, Alex Young <alex / blackkettle.org> wrote:
> I can't answer this directly, but you may wish to see how Debian have
> handled this - they've split Ruby up into several different packages for
> (as far as I know) precisely this purpose.

Except that Debian got it wrong and split some things out based on
politics instead of technical considerations (e.g., the openssl issue
in Debian). And split things out further than they should have been.

To answer the OP: you definitely don't need Tk by default. You need
zlib and openssl to get full RubyGems (including signed gem) support.
Jabber can be handled with Jabber4R which requires REXML (included
with the Ruby stdlib).

-austin
-- 
Austin Ziegler * halostatue / gmail.com * http://www.halostatue.ca/
               * austin / halostatue.ca * http://www.halostatue.ca/feed/
               * austin / zieglers.ca